> ## Documentation Index
> Fetch the complete documentation index at: https://otoyinc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Compute Ledger Authorizations



## OpenAPI

````yaml https://api.dispersed.com/openapi.json get /v1/compute/ledger/authorizations
openapi: 3.1.0
info:
  title: Dispersed API
  version: 1.0.0
servers:
  - url: https://api.dispersed.com
security: []
paths:
  /v1/compute/ledger/authorizations:
    get:
      tags:
        - Compute Ledger
      summary: List Compute Ledger Authorizations
      parameters:
        - schema:
            type: integer
            minimum: 1
            maximum: 50
            example: 1
          required: false
          name: limit
          in: query
        - schema:
            type: integer
            minimum: 1
            maximum: 9007199254740991
            example: 1
          required: false
          name: page
          in: query
        - schema:
            type: string
            example: created_at OR -created_at
          required: false
          name: sort
          in: query
        - schema:
            type: string
            example: 2025-01-01,2025-03-01
          required: false
          name: filter[created_at]
          in: query
        - schema:
            type: string
          required: false
          name: filter[status]
          in: query
        - schema:
            type: string
          required: false
          name: filter[consumer_account_uuid]
          in: query
        - schema:
            type: string
          required: false
          name: filter[uuid]
          in: query
      responses:
        '200':
          description: List compute ledger authorizations
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/ComputeLedgerAuthorizationResponse'
                  limit:
                    type: integer
                  page:
                    type: integer
                  total:
                    type: integer
                required:
                  - data
                  - limit
                  - page
                  - total
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    ComputeLedgerAuthorizationResponse:
      type: object
      properties:
        uuid:
          type:
            - string
            - 'null'
        amount_usd:
          type:
            - number
            - 'null'
        approved:
          type: boolean
        status:
          type: string
          enum:
            - CLOSED
            - EXPIRED
            - PENDING
            - REVERSED
            - UNCAPTURED
        status_reason:
          type:
            - string
            - 'null'
        opened_at:
          type:
            - string
            - 'null'
          format: date-time
        closed_at:
          type:
            - string
            - 'null'
          format: date-time
        expires_at:
          type:
            - string
            - 'null'
          format: date-time
        consumer_account_uuid:
          type:
            - string
            - 'null'
        consumer_profile_uuid:
          type:
            - string
            - 'null'
        job_run_uuid:
          type:
            - string
            - 'null'
        render_user_id:
          type:
            - string
            - 'null'
        object:
          type: string
          enum:
            - compute_ledger_authorization
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - amount_usd
        - approved
        - status
        - opened_at
        - expires_at
        - object
        - created_at
        - updated_at
    ErrorResponse:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/Error'
      required:
        - error
    Error:
      type: object
      properties:
        code:
          type: string
        details:
          type: array
          items:
            type: object
            properties:
              code:
                type: string
              expected:
                type: string
              input:
                type: string
              keys:
                type: array
                items:
                  type: string
              message:
                type: string
              path:
                type: array
                items:
                  anyOf:
                    - type: string
                    - type: number
            required:
              - message
              - path
          default: []
        message:
          type: string
        status:
          type: number
        timestamp:
          type: string
      required:
        - code
        - message
        - status
        - timestamp

````